QSignalMapper(3qt)

NAME
QSignalMapper - Bundles signals from identifiable senders

SYNOPSIS
#include <qsignalmapper.h>

Inherits QObject.

  Public Members
QSignalMapper ( QObject * parent, const char * name = 0 )
~QSignalMapper ()
virtual void setMapping ( const QObject * sender, int identifier )
virtual void setMapping ( const QObject * sender, const QString & identifier )
void removeMappings ( const QObject * sender )

  Public Slots
void map ()

  Signals
void mapped ( int )
void mapped ( const QString & )

DESCRIPTION
The QSignalMapper class bundles signals from identifiable senders.

This class collects a set of parameterless signals, and re-emits them with integer or string parameters corresponding to the object that sent the signal.

See also Input/Output and Networking.

MEMBER FUNCTION DOCUMENTATION

QSignalMapper::QSignalMapper ( QObject * parent, const char * name = 0 )
Constructs a QSignalMapper called name, with parent parent. Like all QObjects, it will be deleted when the parent is deleted.

QSignalMapper::~QSignalMapper ()
Destroys the QSignalMapper.

void QSignalMapper::map () [slot]
This slot emits signals based on which object sends signals to it.

Examples:

void QSignalMapper::mapped ( int ) [signal]
This signal is emitted when map() is signaled from an object that has an integer mapping set.

See also setMapping().

Examples:

void QSignalMapper::mapped ( const QString & ) [signal]
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

This signal is emitted when map() is signaled from an object that has a string mapping set.

See also setMapping().

void QSignalMapper::removeMappings ( const QObject * sender )
Removes all mappings for sender. This is done automatically when mapped objects are destroyed.

void QSignalMapper::setMapping ( const QObject * sender, int identifier ) [virtual]
Adds a mapping so that when map() is signaled from the given sender, the signal mapped(identifier) is emitted.

There may be at most one integer identifier for each object.

Examples:

void QSignalMapper::setMapping ( const QObject * sender, const QString & identifier ) [virtual]
This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Adds a mapping so that when map() is signaled from the given sender, the signal mapper(identifier) is emitted.

There may be at most one string identifier for each object, and it may not be empty.

SEE ALSO
http://doc.trolltech.com/qsignalmapper.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qsignalmapper.3) and the Qt version (3.3.5).